# Review at https://bugzilla.redhat.com/show_bug.cgi?id=579171

%global gitdate 20100402
%global gitversion 5087383
%global alphatag .%{gitdate}git%{gitversion}


Name:           lxpolkit
Version:        0.1.0
Release:        0.1%{?alphatag}%{?dist}
Summary:        Simple PolicyKit authentication agent

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.org/
#VCS: git:git://lxde.git.sourceforge.net/gitroot/lxde/lxpolkit
# Tarfile created using git
# git clone git://lxde.git.sourceforge.net/gitroot/lxde/lxpolkit
# cd %{name}
# git archive --format=tar --prefix=%{name}-%{version}/ %{gitversion} | bzip2 > %{name}-%{gitdate}git%{gitversion}.tar.bz2
Source0:        %{name}-%{gitdate}git%{gitversion}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  polkit-devel
BuildRequires:  desktop-file-utils
Requires:       polkit >= 0.95
# required to replace polkit-gnome and polkit-kde
Provides:       PolicyKit-authentication-agent

%description
LXPolKit is a simple PolicyKit authentication agent developed for LXDE, the 
Lightweight X11 Desktop Environment.


%prep
%setup -q


%build
export NOCONFIGURE=yes
sh autogen.sh
%configure --bindir=%{_libexecdir}
make %{?_smp_mflags}
sed -i 's|Exec=lxpolkit|Exec=%{_libexecdir}/lxpolkit|g' data/%{name}.desktop


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
# FIXME add ChangeLog and NEWS if not empty
%doc AUTHORS COPYING README
%config %{_sysconfdir}/xdg/autostart/lxpolkit.desktop
%{_libexecdir}/%{name}
%{_datadir}/%{name}/


%changelog
* Fri Apr 02 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100402git5087383
- Update to git version 5087383
- Install binary to %%{_libexecdir}

* Mon Mar 29 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-0.1.20100329git93555fa
- Initial package

